View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000523Ecere SDKidepublic2010-07-31 22:112013-05-19 22:15
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000523: ide: project settings: Need to make it obvious when a project node is selected
DescriptionAt the moment there is next to no visual cue to tell you the project settings you're looking at apply to a specific project node only.

We need a lot more visual cues including:

- When the selected node is not at the top of the tree, it will be invisible in the listbox and thus we're really clueless that it is selected. Make sure the listbox is always scrolled to keep in view the selected project node.

- Mention very clearly in the project settings title bar

- When the Tree View is not active on the left-hand side, only a faint rectangle selection square is visible around the project node. Make it more obvious by always highlighting the entire width with a moderately light color.

- Consider other visual cues such as displaying the info at the bottom left of the dialog (there's some empty room there!), or changing a portion of the dialog's background color when an individual project node is selected.
Additional InformationThis might have led to false bug reports. See related issue.
 
TagsNo tags attached.
Attached Filespng file icon ide-project-settings-file-highlight.png [^] (33,493 bytes) 2010-08-01 05:15


png file icon ide-project-settings-on-project-node.png [^] (33,905 bytes) 2010-08-01 16:32


png file icon ide-project-settings-folder-highlight.png [^] (34,254 bytes) 2010-08-01 16:32


png file icon ide-project-settings-file-highlight-new.png [^] (34,101 bytes) 2010-08-01 16:33

- Relationships
related to 0000436closedjerome project settings seriously broken: additional directory not showing bold in compiler/linker tab 

-  Notes
(0000300)
redj (administrator)
2010-08-01 05:16

see attached ide-project-settings-file-highlight.png
how's that?
(0000301)
jerome (administrator)
2010-08-01 10:31

I still want it in the Project Settings main title bar...

and in this screenshot here, what is active? The tree view, or?

Also how does this top info fare with the top node selected, where the Intermediate Object directories box is usually there?
(0000302)
redj (administrator)
2010-08-01 16:35
edited on: 2010-08-01 16:58

see attached:
 - ide-project-settings-on-project-node.png
 - ide-project-settings-folder-highlight.png
 - ide-project-settings-file-highlight-new.png

The project file is now showing in the project settings dialog's title bar.
I would be reluctant to include the selected file in the title bar as well.
Especially since the IDE is multi-project. I like the title bar to be clear
about which project you're in.

You can't see it in the screenshots but it will also show the platform in
the selected node label (e.g.: [ ] Window.ec (Debug) (Win32) -- [ ] == icon).

As for other visual cues, I would consider an additional border clearly
relating the controls (compiler tab values) with the selected node/file/folder label.

(0000303)
redj (administrator)
2010-08-01 16:57

so for now I'm considering this is done.
(0000308)
redj (administrator)
2010-08-03 18:41

same revision history -- fixes for http://ecere.com/mantis/view.php?id=464 [^] and this issue were commited together.

Added revision 7 to sdk\ide\src\dialogs\DirectoriesBox.ec
Added revision 63 to sdk\ide\src\project\ProjectNode.ec
Added revision 109 to sdk\ide\src\project\ProjectView.ec
Added revision 83 to sdk\ide\src\ProjectSettings.ec
(0000310)
redj (administrator)
2010-08-03 18:42

I need a bit of help to solve a weird drawing bug for the file node label.
(0000321)
jerome (administrator)
2010-08-07 17:24

Project Settings - projSettingsTest - form1.ec (Debug / Win32)


Project Settings - projSettingsTest - form1.ec (Debug)

Project Settings - projSettingsTest - form1.ec (Win32)

Project Settings - projSettingsTest - form1.ec (Debug/Win32)

Project Settings - projSettingsTest (Debug/Win32)
(0000322)
jerome (administrator)
2010-08-07 17:26

Please make the inactive selection color lighter.
(0000323)
jerome (administrator)
2010-08-07 17:30

About the top label:

Please fix the refresh issue when selecting a second node.
Please fill the gaps around it.
Please give it a more 3D look, the white is screaming on top of the beigish color.
(0000324)
jerome (administrator)
2010-08-07 17:31

Please add horizontal scrolling to the project node file list.
(0000325)
jerome (administrator)
2010-08-07 17:32

Please add a layer perhaps inside the tab control, so that resizing it after a certain amount moves everything to the right, and solves refreshing issues at the same time.
(0000328)
redj (administrator)
2010-08-08 00:49

addressing
 - selection information in dialog title bar
   "Project Settings - projSettingsTest - form1.ec (Debug/Win32)"
 - please fill the gaps around selected node header label

Added revision 64 to sdk\ide\src\project\ProjectNode.ec
Added revision 86 to sdk\ide\src\ProjectSettings.ec

remaining
 - refresh issue for header label
 - 3D look for header label
(0000409)
jerome (administrator)
2010-12-05 15:18

The refresh issue was Update() not being called as it should when changing the ProjectNode id:

            compilerTab.rightPaneHeader.id = (int)node;
            compilerTab.rightPaneHeader.Update(null);
            compilerTab.rightPaneHeader.visible = true;

Added revision 91 to E:\newroot\sdk\ide\src\ProjectSettings.ec

This bug is now fixed.
The look is fine as it is now.

Only remaining issue is the (Config) that still appears in the project portion.
(0000410)
jerome (administrator)
2010-12-05 16:17

Now passing null from ProjectSettings dialog, and setting it in ProjectView to be be aware.

Added revision 74 to E:\newroot\sdk\ide\src\project\ProjectNode.ec
Added revision 92 to E:\newroot\sdk\ide\src\ProjectSettings.ec

- Issue History
Date Modified Username Field Change
2010-07-31 22:11 jerome New Issue
2010-07-31 22:11 jerome Relationship added child of 0000429
2010-07-31 22:11 jerome Relationship added related to 0000436
2010-07-31 22:12 jerome Target Version => 0.44 pre-release 2
2010-08-01 05:14 redj Status new => assigned
2010-08-01 05:14 redj Assigned To => redj
2010-08-01 05:15 redj File Added: ide-project-settings-file-highlight.png
2010-08-01 05:16 redj Note Added: 0000300
2010-08-01 10:31 jerome Note Added: 0000301
2010-08-01 16:32 redj File Added: ide-project-settings-on-project-node.png
2010-08-01 16:32 redj File Added: ide-project-settings-folder-highlight.png
2010-08-01 16:33 redj File Added: ide-project-settings-file-highlight-new.png
2010-08-01 16:35 redj Note Added: 0000302
2010-08-01 16:54 redj Note Edited: 0000302
2010-08-01 16:56 redj Note Edited: 0000302
2010-08-01 16:57 redj Note Added: 0000303
2010-08-01 16:57 redj Status assigned => feedback
2010-08-01 16:58 redj Note Edited: 0000302
2010-08-03 18:41 redj Note Added: 0000308
2010-08-03 18:42 redj Note Added: 0000310
2010-08-07 17:24 jerome Note Added: 0000321
2010-08-07 17:26 jerome Note Added: 0000322
2010-08-07 17:30 jerome Note Added: 0000323
2010-08-07 17:30 jerome Status feedback => assigned
2010-08-07 17:31 jerome Note Added: 0000324
2010-08-07 17:32 jerome Note Added: 0000325
2010-08-08 00:49 redj Note Added: 0000328
2010-12-05 15:18 jerome Note Added: 0000409
2010-12-05 16:17 jerome Note Added: 0000410
2010-12-05 16:17 jerome Status assigned => resolved
2010-12-05 16:17 jerome Fixed in Version => 0.44 pre-release 2
2010-12-05 16:17 jerome Resolution open => fixed
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:44 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker